package com.test.ejb;


import java.util.HashMap;
import java.util.Map;

import javax.ejb.embeddable.EJBContainer;
import javax.naming.NamingException;

import org.testng.annotations.AfterClass;
import org.testng.annotations.BeforeClass;
import org.testng.annotations.Test;


public class TestEJBTest {

    private EJBContainer ejbCon;

    @BeforeClass
    public void start() {
        String[] cpath = System.getProperty("java.class.path").split(":");
        for (String entry : cpath) {
            System.out.println(entry);
        }
        Map<Object, Object> parameters = new HashMap<Object, Object>();
        parameters.put("org.glassfish.ejb.embedded.glassfish.installation.root", "target/glassfish");
        parameters.put(EJBContainer.MODULES, new String[] { "classes" });
        ejbCon = EJBContainer.createEJBContainer(parameters);
    }

    @Test
    public void test() throws NamingException {
        TestEJB ejb = (TestEJB) ejbCon.getContext().lookup("java:global/classes/TestEJB");
        System.out.println(ejb.method());
    }

    @AfterClass
    public void stop() {
        ejbCon.close();
    }
}
